<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1MemoryDataStream.html">MemoryDataStream</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::MemoryDataStream Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a81856582e643b4a560e6c3d3ad05e08c">AccessMode</a> enum name</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#a47ba6c03cb7bf3182b31c63753729be3">close</a>(void)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a87d6018d4486304f004782c536a72de5">DataStream</a>(uint16 accessMode=READ)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a679e39a3ef590e1dc232800c37cfeb8b">DataStream</a>(const String &amp;name, uint16 accessMode=READ)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#a79d9420839d7cac9a28c96cb9153b63c">eof</a>(void) const </td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a5c83611aecda5358beb6c6e035f33b51">getAccessMode</a>() const </td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a022f49c9313deffc5da4383d59d1f32d">getAsString</a>(void)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#ac753e2375fcdf5e137210339350b5f21">getCurrentPtr</a>(void)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a86d2ff5dff63ce4b689dd1d486d3243f">getLine</a>(bool trimAfter=true)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a7ebd86825f86b7114024d168e9751395">getName</a>(void)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#a9d866cd1bbe58bbc59fdbc1dba024b9f">getPtr</a>(void)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a4779f7f57ff90ce12882c7c891651a71">isReadable</a>() const </td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a91509b9cec70111c65570883810224be">isWriteable</a>() const </td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a8eab8765fb7120bb1e519ff8d2460b13">mAccess</a></td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#a031fc2b8dde9f716e0d3b32b53c9c46c">mData</a></td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#a7a5fae42889b71b7c1999c315af508cb">MemoryDataStream</a>(void *pMem, size_t size, bool freeOnClose=false, bool readOnly=false)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#a49b01916cba4bf6a67142bee5819f2ad">MemoryDataStream</a>(const String &amp;name, void *pMem, size_t size, bool freeOnClose=false, bool readOnly=false)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#a53b6dc1c5c5e5f08b9e65daa1ac00e54">MemoryDataStream</a>(DataStream &amp;sourceStream, bool freeOnClose=true, bool readOnly=false)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#abc2a0d8d886eaf74c9f815598da4ff9a">MemoryDataStream</a>(DataStreamPtr &amp;sourceStream, bool freeOnClose=true, bool readOnly=false)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#a61b438f44ad973bdc345638e3328ff2d">MemoryDataStream</a>(const String &amp;name, DataStream &amp;sourceStream, bool freeOnClose=true, bool readOnly=false)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#ac00699a01f393f0004ac6024421debb9">MemoryDataStream</a>(const String &amp;name, const DataStreamPtr &amp;sourceStream, bool freeOnClose=true, bool readOnly=false)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#ae1ab30cab7a3e7affe728583b5eba4f4">MemoryDataStream</a>(size_t size, bool freeOnClose=true, bool readOnly=false)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#aa087cdb21a8a33bc68ab06e2e2ef24fc">MemoryDataStream</a>(const String &amp;name, size_t size, bool freeOnClose=true, bool readOnly=false)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#a529afac3f0ee55d00798f3ef7058a94f">mEnd</a></td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#a1099feda84559859d0e73ccf3589d4a4">mFreeOnClose</a></td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a371660702e913ca2799f0478a2154af7">mName</a></td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#acf8096ff658fc9016c6cce0d28377b8a">mPos</a></td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a260d2aa9971abc5b8412cff1a01d6382">mSize</a></td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a49bfe5809b50735b5ce49e7df9615e5a">operator&gt;&gt;</a>(T &amp;val)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a81856582e643b4a560e6c3d3ad05e08cac5f9d1587e9cc7dd1577af114dcba50e">READ</a> enum value</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#ab3ee46ce477d58f8945340a4e2117820">read</a>(void *buf, size_t count)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#a398aa1ba9f58276dc868d2c3968953c4">readLine</a>(char *buf, size_t maxCount, const String &amp;delim=&quot;\n&quot;)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#a264956cfd878b1c12f28a37e492fc0bb">seek</a>(size_t pos)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#acee80421c052bd3c6452141f067cfa13">setFreeOnClose</a>(bool free)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a1d4e9568e53a8071ea9b29a015425aef">size</a>(void) const </td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#abc0369bcd83740cf03cb27a11665486f">skip</a>(long count)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#a581ccd32944288808f7602b29a0218e9">skipLine</a>(const String &amp;delim=&quot;\n&quot;)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#ad075d2536d4fe7075ead6e3a7afd198d">tell</a>(void) const </td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#accd65733ea1317c49c5fdf7263ff4cc7">write</a>(const void *buf, size_t count)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a81856582e643b4a560e6c3d3ad05e08ca8e221ca82d405d21d275997fbd3eb900">WRITE</a> enum value</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a9501eeeb1aefc59f4dad05ec0cbdc14e">~DataStream</a>()</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#afffeeea1e906ef13aac0fdde018d3194">~MemoryDataStream</a>()</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
